	{ Ce schema decrit la structure des paragraphes.
	  Il est destine' a etre importe' par les differents
	  schemas de documents

	V. Quint	Novembre 1986	}

STRUCTURE Paragraphe;

DEFPRES ParagraphP;

STRUCT

   Paragraphe =CASE OF
		Simple_paragraphe = LIST OF (El\351ment_de_parag);
		Citation = Simple_paragraphe;
		Exemple = LIST OF (Ligne_exemple = LIST OF (El\351ment_de_parag));
		Liste
		    (ATTR Marque_item = Puce, Tiret, Plus, DoublePlus, Etoile, Diamant, D\351faut)
		    = LIST [2..*] OF (Item_liste(ATTR Marque_item) =
							LIST OF(Paragraphe))
		      with Marque_item ?= D\351faut;
		Description = LIST OF (Element_Description =
				BEGIN
				Intitul\351_descr = TEXT;
				Texte_description = LIST OF(Paragraphe);
				END);
		Paragraphe_titr\351 = BEGIN
				Titre_parag = Simple_paragraphe;
				Contenu_parag = LIST OF(Paragraphe);
				END;
		Enum\351ration
		    (ATTR Numero_item = Chiffre_arabe, Romain_majuscule,
			 Romain_minuscule, Lettre_majuscule, Lettre_minuscule)
		    = LIST [2..*] OF (Item_\351num\351ration =
							LIST OF(Paragraphe))
			WITH Numero_item ? = Chiffre_arabe;
		Programme_indent\351
		    (ATTR Valeur_Indentation = Integer)
		    = LIST OF (El\351ment_de_pgm =
					CASE OF
					Instruction = TEXT;
					Bloc_instructions = LIST OF
							(El\351ment_de_pgm);
					END);
		Cote_a_cote = BEGIN
				A_gauche = LIST OF (Paragraphe);
				A_droite = LIST OF (Paragraphe);
				END;
		Paragraphes_group\351s
		    (ATTR Mise_en_valeur = 
			Cadre_fin, Cadre_\351pais, Cadre_pointill\351,
			Fond_couleur,
			Filet_gauche_simple, Filet_gauche_double,
			Filet_horiz_simple, Filet_horiz_double)
		    = LIST OF (Paragraphe) WITH Mise_en_valeur ?= Filet_horiz_double;

		Autre = Nature;

		END;

   El\351ment_de_parag = UNIT;

UNITS
  Autre_Unit\351 = NATURE;

EXCEPT
  { Exceptions sur les elements }
 
   GRAPHICS_UNIT:		MoveResize;
   SYMBOL_UNIT:			MoveResize;
   PICTURE_UNIT:		MoveResize;
   Paragraphe:			MoveResize;
   Simple_paragraphe:		MoveResize;
   Citation:			MoveResize;
   Exemple:			MoveResize;
   Ligne_exemple:		MoveResize;
   Liste:			MoveResize;
   Description:			MoveResize;
   Element_Description:		MoveResize;
   Intitul\351_descr:		MoveResize;
   Texte_description: 		Hidden;
   Paragraphe_titr\351:		MoveResize;
   Titre_parag:			MoveResize;
   Contenu_parag: 		Hidden;
   Enum\351ration:		MoveResize;
   Item_liste:			MoveResize;
   Item_\351num\351ration:	MoveResize;
   Programme_indent\351:	MoveResize;
   El\351ment_de_pgm:		MoveResize;
   Instruction:			MoveResize;
   Bloc_instructions:		MoveResize;
   Cote_a_cote:			MoveResize;
   A_gauche:			MoveResize;
   A_droite:			MoveResize;
   Paragraphes_group\351s:	MoveResize;
   Autre:			MoveResize;
END
